commit:     7b467d2b94ed87a56eace80be0f9a76548c29e8a
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 13 20:39:18 2020 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Fri Nov 13 20:39:55 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7b467d2b

sys-fs/inotify-tools: Bump to version 3.20.11.0

Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 sys-fs/inotify-tools/Manifest                      |  1 +
 .../inotify-tools/inotify-tools-3.20.11.0.ebuild   | 43 ++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/sys-fs/inotify-tools/Manifest b/sys-fs/inotify-tools/Manifest
index e6e64742a00..587e6c4d3d6 100644
--- a/sys-fs/inotify-tools/Manifest
+++ b/sys-fs/inotify-tools/Manifest
@@ -1,2 +1,3 @@
 DIST inotify-tools-3.20.1.tar.gz 79564 BLAKE2B 
4b1235951f55ecb7c6c92b06b68dedebad8677c2265616dddd275bf627034b66b5756cf17a2f68f4201a78b043ec8a0800f115f3952c19875ae7f524b9b21382
 SHA512 
a97d27e6033036f0db5c0737bee3510206db9f4c843f0d18f1b2e179e838624ea33316c34fd9917c158dbb3580367908e90042fb1bfb146f150c32833b0b2ff2
+DIST inotify-tools-3.20.11.0.tar.gz 84827 BLAKE2B 
1d3e25c4e213c9c6da74575677a6dc491405077b0544be79ee95e5ac2ee2ef2606ae2fd0264ad83228dc580447f15afd16e486bd5a8d51f6254ed805ed985260
 SHA512 
77b90e96efe0c90ab6ca4309c2f08303c2047ebddfad93ff62c616f30df8ca01102197867571047475b19b7dcc0fe369d9dd41425c2973cdc06467787098f672
 DIST inotify-tools-3.20.2.2.tar.gz 81006 BLAKE2B 
7dd29985f68096fe2146a3ad84d619b3d1238b0db25eeb125f2fe9591fa678078351f00c7e09b526cf2251e4736201d5625ff0e477523cae370a307ccb667730
 SHA512 
72d6fdcc216d8083cd384c71c02dc8e800d3a9702613568b3c571f704aee3d42bf084c52f2141c9afb8d28e8b87ebb6391ed3d825b3d664ed51c552debeb1881

diff --git a/sys-fs/inotify-tools/inotify-tools-3.20.11.0.ebuild 
b/sys-fs/inotify-tools/inotify-tools-3.20.11.0.ebuild
new file mode 100644
index 00000000000..5e89f2bc1ca
--- /dev/null
+++ b/sys-fs/inotify-tools/inotify-tools-3.20.11.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+DESCRIPTION="a set of command-line programs providing a simple interface to 
inotify"
+HOMEPAGE="https://github.com/inotify-tools/inotify-tools";
+SRC_URI="https://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~mips ~sparc ~x86"
+IUSE="doc"
+
+DEPEND="doc? ( app-doc/doxygen )"
+RDEPEND=""
+
+src_prepare() {
+       default
+
+       # Remove -Werror from CFLAGS (#745069)
+       find -name "Makefile.am" -print0 \
+               | xargs --null sed 's@ -Werror@@' -i || die
+
+       eautoreconf
+}
+
+src_configure() {
+       # only docs installed are doxygen ones, so use /html
+       local myeconfargs=(
+               --disable-static
+               --docdir='$(datarootdir)'/doc/${PF}/html
+               $(use_enable doc doxygen)
+       )
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to